recode
Exif
Function Reference
PHP Manual

# Image Processing and Generation

- Exif — Exchangeable image information
  - Introduction
  - Installing/Configuring
  - Predefined Constants
  - Exif Functions
- GD — Image Processing and GD
  - Introduction
  - Installing/Configuring
  - Predefined Constants
  - Examples
  - GD and Image Functions
- ImageMagick — Image Processing (ImageMagick)
  - Introduction
  - Installing/Configuring
  - Predefined Constants
  - Examples
  - The Imagick class
  - The ImagickDraw class
  - The ImagickPixel class
  - The ImagickPixelIterator class
- Gmagick
  - Introduction
  - Installing/Configuring
  - Predefined Constants
  - Examples
  - Gmagick — The Gmagick class
  - GmagickDraw — The GmagickDraw class
  - GmagickPixel — The GmagickPixel class
- Cairo
  - Introduction
  - Installing/Configuring
  - Predefined Constants
  - Examples
  - Cairo Functions
  - Cairo — The Cairo class
  - CairoContext — The CairoContext class
  - CairoException — The CairoException class
  - CairoStatus — The CairoStatus class
  - CairoSurface — The CairoSurface class
  - CairoSvgSurface — Svg Surface Backend
  - CairoImageSurface — The CairoImageSurface class
  - CairoPdfSurface — The CairoPdfSurface class
  - CairoPsSurface — The CairoPsSurface class
  - CairoSurfaceType — The CairoSurfaceType class
  - CairoFontFace — The CairoFontFace class
  - CairoFontOptions — The CairoFontOptions class
  - CairoFontSlant — The CairoFontSlant class
  - CairoFontType — The CairoFontType class
  - CairoFontWeight — The CairoFontWeight class
  - CairoScaledFont — The CairoScaledFont class
  - CairoToyFontFace — The CairoToyFontFace class
  - CairoPatternType — The CairoPatternType class
  - CairoPattern — The CairoPattern class
  - CairoGradientPattern — The CairoGradientPattern class
  - CairoSolidPattern — The CairoSolidPattern class
  - CairoSurfacePattern — The CairoSurfacePattern class
  - CairoLinearGradient — The CairoLinearGradient class
  - CairoRadialGradient — The CairoRadialGradient class
  - CairoAntialias — The CairoAntialias class
  - CairoContent — The CairoContent class
  - CairoExtend — The CairoExtend class
  - CairoFormat — The CairoFormat class
  - CairoFillRule — The CairoFillRule class
  - CairoFilter — The CairoFilter class
  - CairoHintMetrics — The CairoHintMetrics class
  - CairoHintStyle — The CairoHintStyle class
  - CairoLineCap — The CairoLineCap class
  - CairoLineJoin — The CairoLineJoin class
  - CairoMatrix — The CairoMatrix class
  - CairoOperator — The CairoOperator class
  - CairoPath — The CairoPath class
  - CairoPsLevel — The CairoPsLevel class
  - CairoSubpixelOrder — The CairoSubpixelOrder class
  - CairoSvgVersion — The CairoSvgVersion class

recode
Exif
Function Reference
PHP Manual